Subject: [bug#76140] [PATCH 0/2] gnu: emacs-telega: Update to 0.8.441.

From: Sergey Trofimov <[email-masked]>
Date: Tue, 04 Mar 2025 14:31:53 +0100

Rodion Goritskov <[email-masked]> writes:

> Hello!
>
> I tried running it with ./pre-inst-env guix shell emacs emacs-telega and
> run into a couple of problems:
>
> 1. I have a lot of messages like this in messages buffer:
>
>> telega: Error while processing cmd ("event" (:@type "stickers"
>> :stickers [] :@extra 1239))
>
> 2. When I try to open a chat, i see a lot of errors:
>
>>---[telega bug]
>>PP-ERROR: telega-chatbuf-msg--pp ==>
>>  (void-function custom-face-get-current-spec-unfiltered)
>>------
>
> Reported version by running telega-version is:
>> telega v0.8.420 (TDLib v1.8.44-GITDIR-) (telega-server v0.8.2)
>
> When running with the guix shell emacs emacs-telega from the current
> guix master I cannot see any of these issues.
>
> Of course, I removed the ~/.telega directory before each of the
> experiments.

Thanks for trying it. As you can see, the reported version (0.8.420) is different
from the expected one (0.8.441), because I've somehow used an earlier
commit. I've fixed it in the next patchset.